Notifications API
Get notification provider details
Retrieve configuration details of a notification provider.
GET
bearerAuthheader
AuthorizationBearer <token>Project-scoped CLI token (sck_live_* or sck_test_*) for documented API operations that accept bearer authentication. Interactive browser operations may require a session cookie. Trigger keys (sck_trigger_* / legacy job_*) are accepted only by job trigger endpoints.
id*stringNotification provider ID
Format
uuidProvider details
application/json- response
id?stringFormat
uuidname?stringtype?stringValue in
"email""slack""webhook""telegram""discord""teams"enabled?booleanconfig?lastUsed?stringFormat
date-timecreatedByName?stringcreatedByImage?stringcreatedAt?stringFormat
date-timecurl -X GET 'https://demo.supercheck.dev/api/notification-providers/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "type": "email", "enabled": true, "config": {}, "lastUsed": "2019-08-24T14:15:22Z", "createdByName": "string", "createdByImage": "string", "createdAt": "2019-08-24T14:15:22Z"}